> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# comment on finding

> add a comment to a finding. Referenced users are notified.



## OpenAPI

````yaml /api-reference/security.json post /security/findings/{finding_id}/comments
openapi: 3.1.2
info:
  title: Bevor Security API
  version: 1.0.0
servers: []
security: []
tags:
  - name: analysis
    description: Analyses, which own a lineage of versions and track a HEAD.
  - name: analysis version
    description: 'Versions of an analysis: creation, lineage, diffs, and pipeline runs.'
  - name: finding
    description: Findings on an analysis version, their staged edits, and comments.
  - name: remediation
    description: Remediations generated for findings.
  - name: summary
    description: Aggregated reporting over analyses, projects, and users.
  - name: chat
    description: Audit chat threads and messages.
paths:
  /security/findings/{finding_id}/comments:
    post:
      tags:
        - finding
      summary: comment on finding
      description: add a comment to a finding. Referenced users are notified.
      parameters:
        - name: finding_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                message:
                  title: Message
                  type: string
              required:
                - message
              title: CommentBody
              type: object
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  id:
                    title: Id
                    type: string
                  created_at:
                    format: date-time
                    title: Created At
                    type: string
                  message:
                    title: Message
                    type: string
                  refs:
                    items:
                      $ref: '#/components/schemas/InlineRef'
                    title: Refs
                    type: array
                  user:
                    $ref: '#/components/schemas/UserSchema'
                required:
                  - id
                  - created_at
                  - message
                  - user
                title: FindingCommentSchema
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    InlineRef:
      properties:
        id:
          title: Id
          type: string
        type:
          title: Type
          type: string
        source:
          title: Source
          type: string
        ref_ind:
          default: -1
          title: Ref Ind
          type: integer
        name:
          type: string
          nullable: true
        is_stale:
          default: false
          title: Is Stale
          type: boolean
      required:
        - id
        - type
        - source
      title: InlineRef
      type: object
    UserSchema:
      properties:
        id:
          title: Id
          type: string
        is_self:
          title: Is Self
          type: boolean
        created_at:
          format: date-time
          title: Created At
          type: string
        username:
          title: Username
          type: string
      required:
        - id
        - is_self
        - created_at
        - username
      title: UserSchema
      type: object
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - auth.team_required
            - auth.invalid_permissions
            - error.not_found
            - error.invalid_scope
            - error.limit
            - error.entity_deleted
            - error.invalid_state
            - error.conflict
            - error.integrity
            - error.database
            - error.validation
            - error.server
            - analysis.entrypoint_failure
            - code.unsupported
            - code.node_invalid
            - code.conflict
            - app.rate_limit
            - payment.error
            - payment.failed
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````